* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

:root {
	/* Colors */
	--body-bg-color: #fff;
	--header-bg-color: #5af;
	--text-color: #333333;
	--title-color: #111111;
	--date-color: #5af;
	--icon-color: var(--body-bg-color);

	/* Fonts */
	--body-font: 'Open Sans', 'Sans-serif';
	--h1-font-size: 1.7rem;
	--h2-font-size: 1.3em;
	--h3-font-size: 1.1rem;
	--h4-font-size: 1rem;

	/* Spacing */
	--spacing-1: 0.4rem;
	--spacing-2: 0.8rem;
	--spacing-3: 1.2rem;
	--spacing-4: 1.5rem;
	--spacing-5: 2rem;

	--block-padding: 1.5rem;
}

body {
	font-family: var(--body-font);
	font-weight: 200;
	color: var(--text-color);
	background-color: var(--body-bg-color);
}

h1,
h2,
h3,
h4 {
	margin-bottom: var(--spacing-1);
	font-weight: 400;
	color: var(--title-color);
}

h1 {
	font-size: var(--h1-font-size);
	text-transform: uppercase;
}

h2 {
	font-size: var(--h2-font-size);
	letter-spacing: 3px;
	text-transform: uppercase;
	margin-bottom: var(--spacing-2);
}

h3 {
	font-size: var(--h3-font-size);
}

h4 {
	font-size: var(--h4-font-size);
	font-style: italic;
}

a {
	text-decoration: none;
	color: inherit;
}

ul {
	margin: 0 0 var(--spacing-2) var(--spacing-3);
}

li {
	margin: var(--spacing-1) 0;
}

/* Layouts */
.main,
.sidebar {
	padding: var(--block-padding) var(--block-padding) 0;
}

.sidebar {
	background-color: var(--header-bg-color);
}

.user {
	text-align: center;
	padding-bottom: var(--spacing-3);
}

.user__infos {
	padding: 0 0 var(--spacing-2);
}

.user__info {
	display: flex;
	margin-bottom: var(--spacing-2);
}

.user__info i {
	margin: auto var(--spacing-2) auto 0;
}

.section__grid {
	display: grid;
	grid-template-columns: 1fr 8fr;
	padding-bottom: var(--spacing-3);
}

.section__timeline {
	padding-right: var(--block-padding);
	border: solid var(--header-bg-color);
	border-width: 0 medium 0 0;
	text-align: center;
}

.section__timeline > div {
	padding-bottom: var(--spacing-2);
}

.section__info {
	padding-left: var(--block-padding);
}

@media screen and (min-width: 768px) {
	/* Grid */
	.grid-container {
		display: grid;
		grid-template-columns: 1fr 3fr;
	}
}
